Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_NOOP_Creation_Strategy< SVC_HANDLER > Class Template Reference

Implements a no-op creation strategy in order to defer decisions regarding creation to some later point in time, such as in connect or accept strategy. More...

`#include <Strategies_T.h>`

Inheritance diagram for ACE_NOOP_Creation_Strategy< SVC_HANDLER >:

[legend]
Collaboration diagram for ACE_NOOP_Creation_Strategy< SVC_HANDLER >:

[legend]
List of all members.

## Public Types
typedef ACE_Creation_Strategy< SVC_HANDLER > | base_type
## Public Member Functions
virtual int | make_svc_handler (SVC_HANDLER *&)
| This is a no-op.

## Detailed Description

### template<class SVC_HANDLER>
class ACE_NOOP_Creation_Strategy< SVC_HANDLER >

Implements a no-op creation strategy in order to defer decisions regarding creation to some later point in time, such as in connect or accept strategy.

An example of the use of this is in the <ace_cached_connect_strategy>, which only returns a single connection for a given endpoint.

## Member Typedef Documentation

template<class SVC_HANDLER>
typedef ACE_Creation_Strategy<SVC_HANDLER> ACE_NOOP_Creation_Strategy< SVC_HANDLER >::base_type

## Member Function Documentation

template<class SVC_HANDLER>
int ACE_NOOP_Creation_Strategy< SVC_HANDLER >::make_svc_handler | ( | SVC_HANDLER *& |  | ) | `[virtual]`

| This is a no-op. Reimplemented from ACE_Creation_Strategy< SVC_HANDLER >.

The documentation for this class was generated from the following files:

- Strategies_T.h
- Strategies_T.cpp